## plasma-firewall 5.22.5

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>

cmake_minimum_required(VERSION 3.16)
#-----------------------------------------------------------------------------
#                           GENERAL CONFIGURATION
#-----------------------------------------------------------------------------
project(plasma-firewall)
set(PROJECT_VERSION "5.22.5")

set(KF5_MIN_VERSION "5.82")
set(QT_MIN_VERSION "5.15.0")

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_AUTORCC TRUE)

#-----------------------------------------------------------------------------
#                                OPTIONS
#-----------------------------------------------------------------------------

include(FeatureSummary)

option(BUILD_FIREWALLD_BACKEND "Build the firewalld backend" ON)
add_feature_info(FIREWALLD_BACKEND ${BUILD_FIREWALLD_BACKEND} "Build the FirewallD backend")

option(BUILD_UFW_BACKEND "Build the Uncomplicated Firewall (UFW) backend" ON)
add_feature_info(UFW_BACKEND ${BUILD_UFW_BACKEND} "Build the Uncomplicated Firewall (UFW) backend")

#-----------------------------------------------------------------------------
#                              DEPENDENCIES
#-----------------------------------------------------------------------------
# Python3 (search for this first so that we will not get Python2 by accident)
find_package(PythonInterp 3 REQUIRED)

# Qt5
find_package(Qt5 REQUIRED COMPONENTS
    Core
    Qml
    X11Extras
    DBus
)

# KDE5
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

find_package(KF5 REQUIRED COMPONENTS 
    CoreAddons
    KCMUtils
    I18n
    Plasma
    PlasmaQuick
    Declarative
)


#-----------------------------------------------------------------------------
#                               SOURCES
#-----------------------------------------------------------------------------
add_subdirectory(kcm)

enable_testing(true)
add_subdirectory(tests)

#-----------------------------------------------------------------------------
#                               Clang Format
#-----------------------------------------------------------------------------
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(FILES org.kde.plasma.firewall.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

#-----------------------------------------------------------------------------
#                               BUILD SUMMARY
#-----------------------------------------------------------------------------
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

## plasma-firewall 5.21.4

=== debian/changelog ===
plasma-firewall (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:31 +0100

plasma-firewall (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:34:55 +0000

plasma-firewall (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:27 +0000

plasma-firewall (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:59 +0000

plasma-firewall (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:43 +0000

plasma-firewall (5.20.90-1) experimental; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 23:35:31 +0100

=== debian/control ===
Source: plasma-firewall
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.10~),
               debhelper-compat (= 13),
               dh-sequence-python3,
               extra-cmake-modules,
               gettext,
               libkf5auth-dev (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5coreaddons-dev,
               libkf5declarative-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kcmutils-dev,
               libkf5plasma-dev (>= 5.30.0~),
               libqt5x11extras5-dev (>= 5.14.0~),
               pkg-kde-tools (>= 0.15.16),
               python3:any,
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/plasma-firewall
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-firewall
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-firewall.git
Rules-Requires-Root: no

Package: plasma-firewall
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: firewalld | ufw,
Description: Plasma configuration module for firewalls
 Plasma Firewall provides a way to graphically configure a firewall service.
 .
 Supported firewalls are:
  - firewalld
  - ufw

## plasma-firewall 5.22.5

=== debian/changelog ===
plasma-firewall (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:49:36 +0200

plasma-firewall (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:43:53 +0100

plasma-firewall (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:07:21 +0100

plasma-firewall (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:55:35 +0100

plasma-firewall (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:58:56 +0100

plasma-firewall (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:11:14 +0100

plasma-firewall (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 20:48:56 +0100

plasma-firewall (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:03:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
 Build-Depends: cmake (>= 3.10~),
                debhelper-compat (= 13),
                dh-sequence-python3,
-               extra-cmake-modules,
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5auth-dev (>= 5.30.0~),
-               libkf5config-dev (>= 5.30.0~),
-               libkf5coreaddons-dev,
-               libkf5declarative-dev (>= 5.30.0~),
-               libkf5i18n-dev (>= 5.30.0~),
-               libkf5kcmutils-dev,
-               libkf5plasma-dev (>= 5.30.0~),
+               libkf5auth-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5plasma-dev (>= 5.82.0~),
                libqt5x11extras5-dev (>= 5.14.0~),
                pkg-kde-tools (>= 0.15.16),
                python3:any,

=== debian/watch ===
version=4
#opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/unstable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## plasma-firewall 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,10 @@
 #                           GENERAL CONFIGURATION
 #-----------------------------------------------------------------------------
 project(plasma-firewall)
-set(PROJECT_VERSION "5.22.5")
+set(PROJECT_VERSION "5.24.4")
 
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 set(QT_MIN_VERSION "5.15.0")
 
 set(CMAKE_AUTOMOC TRUE)
@@ -41,8 +42,10 @@
 )
 
 # KDE5
-find_package(ECM REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
 
 include(KDEInstallDirs)
 include(KDECompilerSettings)

=== kcm/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    .
)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_firewall\")
add_subdirectory(core)
add_subdirectory(backends)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)



add_library(kcm_firewall MODULE)
target_sources(kcm_firewall PRIVATE
   kcm.cpp
   kcm.h
)
target_link_libraries(kcm_firewall
    Qt::Quick
    Qt::X11Extras
    Qt::DBus

    KF5::CoreAddons
    KF5::Declarative
    KF5::I18n
    KF5::QuickAddons
    KF5::Auth

    kcm_firewall_core
    networkstatus
)

install(FILES kcm_firewall.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(TARGETS kcm_firewall DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/kcms/systemsettings)

kpackage_install_package(package kcm_firewall kcms)

=== kcm/core/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>

include(GenerateExportHeader)

add_library(kcm_firewall_core
    appprofiles.cpp
    appprofiles.h
    firewallclient.cpp
    firewallclient.h
    ifirewallclientbackend.cpp
    ifirewallclientbackend.h
    loglistmodel.cpp
    loglistmodel.h
    profile.cpp
    profile.h
    rule.cpp
    rule.h
    rulelistmodel.cpp
    rulelistmodel.h
    types.cpp
    types.h
)

generate_export_header(kcm_firewall_core)

target_include_directories(kcm_firewall_core PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

target_link_libraries(kcm_firewall_core
    Qt::Quick
    KF5::CoreAddons
    KF5::Declarative
    KF5::I18n
    KF5::QuickAddons
    KF5::Auth
)

install(TARGETS kcm_firewall_core ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== kcm/backends/firewalld/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Lucas Biaggi <lbjanuario@gmail.com>
set(firewalld_backend_SRCS
    dbustypes.cpp
    dbustypes.h
    firewalldclient.cpp
    firewalldclient.h
    firewalldjob.cpp
    firewalldjob.h
    firewalldlogmodel.cpp
    firewalldlogmodel.h
    systemdjob.cpp
    systemdjob.h

)

kcoreaddons_add_plugin(
    firewalldbackend
    SOURCES ${firewalld_backend_SRCS}
    INSTALL_NAMESPACE "kf5/plasma_firewall")

target_link_libraries(firewalldbackend
    Qt::DBus
    kcm_firewall_core
)

=== kcm/backends/netstat/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    Xml
    X11Extras
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Plasma
    PlasmaQuick
    I18n
    Declarative
    Auth
    Config
)


add_library(networkstatus STATIC)
target_sources(networkstatus PRIVATE
    conectionsmodel.cpp
    conectionsmodel.h
    netstatclient.cpp
    netstatclient.h
    netstathelper.cpp
    netstathelper.h
)

target_link_libraries(networkstatus
    kcm_firewall_core
    Qt::Core
    Qt::Quick
    Qt::X11Extras
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::Auth
    KF5::I18n
)

=== kcm/backends/ufw/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>

set(ufw_backend_SRCS
    ufwclient.cpp
    ufwclient.h
    ufwlogmodel.cpp
    ufwlogmodel.h
)

kcoreaddons_add_plugin(
    ufwbackend
    SOURCES ${ufw_backend_SRCS}
    INSTALL_NAMESPACE "kf5/plasma_firewall")

target_link_libraries(ufwbackend
    kcm_firewall_core
)

add_subdirectory(helper)

=== kcm/backends/ufw/helper/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(${CMAKE_BINARY_DIR})

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    X11Extras
)


find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Auth
)


set(ufw_plugin_helper_SRCS helper.cpp helper.h)
add_executable(kde_ufw_plugin_helper ${ufw_plugin_helper_SRCS})

# set_target_properties(kcm_ufw_helper PROPERTIES OUTPUT_NAME kcm_ufw_helper)
target_link_libraries(kde_ufw_plugin_helper Qt::Core KF5::Auth KF5::I18n)

if (IS_ABSOLUTE "${LIBEXEC_INSTALL_DIR}")
  set(UFW_PLUGIN_HELPER_PATH ${LIBEXEC_INSTALL_DIR}/kde_ufw_plugin_helper.py)
else()
  set(UFW_PLUGIN_HELPER_PATH ${CMAKE_INSTALL_PREFIX}/${LIBEXEC_INSTALL_DIR}/kde_ufw_plugin_helper.py)
endif()
configure_file(kcm_ufw_helper.py.cmake ${CMAKE_BINARY_DIR}/kde_ufw_plugin_helper.py)
configure_file(ufw_helper_config.h.cmake ${CMAKE_BINARY_DIR}/ufw_helper_config.h)

kauth_install_actions(org.kde.ufw org.kde.ufw.actions)
install(TARGETS kde_ufw_plugin_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(kde_ufw_plugin_helper org.kde.ufw root)

# install(TARGETS kcm_ufw_helper DESTINATION ${LIBEXEC_INSTALL_DIR})
install(PROGRAMS ${CMAKE_BINARY_DIR}/kde_ufw_plugin_helper.py DESTINATION ${LIBEXEC_INSTALL_DIR})

# configure_file(org.kde.ufw.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/session/org.kde.ufw.service)
# install(FILES ${CMAKE_CURRENT_BINARY_DIR}/session/org.kde.ufw.service DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES defaults DESTINATION ${DATA_INSTALL_DIR}/kcm_ufw)

=== debian/changelog ===
plasma-firewall (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:21:14 +0100

plasma-firewall (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:15:44 +0000

plasma-firewall (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:02:50 +0000

plasma-firewall (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:22:13 +0000

plasma-firewall (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:28:26 +0000

plasma-firewall (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:19:51 +0000

plasma-firewall (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:41:40 +0000

plasma-firewall (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:57:47 +0000

plasma-firewall (5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:18:38 +0000

plasma-firewall (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:41:21 +0900

plasma-firewall (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:03 +0900

plasma-firewall (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:15 +0900

plasma-firewall (5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:24:55 +0200

plasma-firewall (5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:55:18 +0200

plasma-firewall (5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:47:48 +0200

plasma-firewall (5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:42 +0900

plasma-firewall (5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:50 +0900

plasma-firewall (5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:40 +0900

plasma-firewall (5.21.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch watch file to the stable releases.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Feb 2021 14:13:45 +0100

=== debian/control ===
Source: plasma-firewall
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-python3,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5auth-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.16),
               python3:any,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/plasma-firewall
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
Rules-Requires-Root: no

Package: plasma-firewall
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: firewalld | ufw
Description: Plasma configuration module for firewalls
 Plasma Firewall provides a way to graphically configure a firewall service.
 .
 Supported firewalls are:
  - firewalld
  - ufw

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

override_dh_python3:
	dh_python3 usr/lib/

## plasma-firewall 5.25.5

=== debian/changelog ===
plasma-firewall (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:33:09 +0100

plasma-firewall (5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 12:28:33 +0100

plasma-firewall (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:31:35 +0200

plasma-firewall (5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 18:00:17 +0100

plasma-firewall (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop unused build dependencies on libkf5plasma-dev and
    libqt5x11extras5-dev.
  * Add dependency to systemsettings for the KCM module.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:57 +0200

plasma-firewall (5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:44:52 +0100

plasma-firewall (5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:17:51 +0100

plasma-firewall (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:45:20 +0200

plasma-firewall (5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:28:13 +0100

plasma-firewall (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:23 +0200

plasma-firewall (5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:06:45 +0100

plasma-firewall (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:44:41 +0200

plasma-firewall (5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:41:24 +0100

plasma-firewall (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:33 +0200

plasma-firewall (5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:49:29 +0100

plasma-firewall (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:45:39 +0200

plasma-firewall (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:47:13 +0100

plasma-firewall (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:59:27 +0100

plasma-firewall (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:44:38 +0100

plasma-firewall (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:25:15 +0100

=== debian/control ===
Source: plasma-firewall
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-python3,
               extra-cmake-modules (>= 5.94~),
               gettext,
               libkf5auth-dev (>= 5.94~),
               libkf5config-dev (>= 5.94~),
               libkf5coreaddons-dev,
               libkf5declarative-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5kcmutils-dev,
               pkg-kde-tools (>= 0.15.16),
               python3:any,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/plasma-firewall
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
Rules-Requires-Root: no

Package: plasma-firewall
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         systemsettings,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: firewalld | ufw
Description: Plasma configuration module for firewalls
 Plasma Firewall provides a way to graphically configure a firewall service.
 .
 Supported firewalls are:
  - firewalld
  - ufw

## plasma-firewall 5.27.3

=== debian/changelog ===
plasma-firewall (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:19:25 +0000

plasma-firewall (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:24:08 +0000

plasma-firewall (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:51 +0000

plasma-firewall (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:54 +0000

plasma-firewall (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * Disable build time test.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:30:49 +0000

plasma-firewall (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:02:58 +0000

plasma-firewall (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu maintainer and Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 13:20:12 +0000

plasma-firewall (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:01:01 +0100

plasma-firewall (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:04:48 +0000

plasma-firewall (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:43:33 +0100

plasma-firewall (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:12:22 +0000

plasma-firewall (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:30:54 +0200

plasma-firewall (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:10:52 +0000

plasma-firewall (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:17 +0200

plasma-firewall (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:22 +0200

plasma-firewall (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:21:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-python3,
-               extra-cmake-modules (>= 5.94~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkf5auth-dev (>= 5.94~),
-               libkf5config-dev (>= 5.94~),
-               libkf5coreaddons-dev,
-               libkf5declarative-dev (>= 5.94~),
-               libkf5i18n-dev (>= 5.94~),
-               libkf5kcmutils-dev,
+               libkf5auth-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5kcmutils-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.16),
                python3:any,
                qtbase5-dev (>= 5.15.2~),

## plasma-firewall 5.27.4

=== debian/changelog ===
plasma-firewall (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:38:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 override_dh_python3:
 	dh_python3 usr/lib/
+
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

## plasma-firewall 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,11 @@
 #                           GENERAL CONFIGURATION
 #-----------------------------------------------------------------------------
 project(plasma-firewall)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.27.5")
 
-set(KF5_MIN_VERSION "5.86")
+set(KF5_MIN_VERSION "5.102.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(QT_MIN_VERSION "5.15.0")
+set(QT_MIN_VERSION "5.15.2")
 
 set(CMAKE_AUTOMOC TRUE)
 set(CMAKE_AUTORCC TRUE)
@@ -32,31 +32,30 @@
 #-----------------------------------------------------------------------------
 # Python3 (search for this first so that we will not get Python2 by accident)
 find_package(PythonInterp 3 REQUIRED)
-
-# Qt5
-find_package(Qt5 REQUIRED COMPONENTS
-    Core
-    Qml
-    X11Extras
-    DBus
-)
-
 # KDE5
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
-
 include(KDEInstallDirs)
 include(KDECompilerSettings)
 include(KDECMakeSettings)
+include(ECMDeprecationSettings)
 
-find_package(KF5 REQUIRED COMPONENTS 
+# Qt5
+find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS
+    Core
+    Qml
+    DBus
+    Test
+)
+
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.101
+)
+
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
     CoreAddons
     KCMUtils
     I18n
-    Plasma
-    PlasmaQuick
     Declarative
 )
 
@@ -67,6 +66,7 @@
 add_subdirectory(kcm)
 
 enable_testing(true)
+add_subdirectory(autotests)
 add_subdirectory(tests)
 
 #-----------------------------------------------------------------------------
@@ -79,9 +79,11 @@
 install(FILES org.kde.plasma.firewall.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 #-----------------------------------------------------------------------------
+#                                Translations
+#-----------------------------------------------------------------------------
+ki18n_install(po)
+
+#-----------------------------------------------------------------------------
 #                               BUILD SUMMARY
 #-----------------------------------------------------------------------------
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)

=== kcm/backends/firewalld/CMakeLists.txt ===
--- 
+++ 
@@ -9,17 +9,16 @@
     firewalldjob.h
     firewalldlogmodel.cpp
     firewalldlogmodel.h
-    systemdjob.cpp
-    systemdjob.h
-
+    queryrulesfirewalldjob.cpp
+    queryrulesfirewalldjob.h
 )
 
 kcoreaddons_add_plugin(
     firewalldbackend
     SOURCES ${firewalld_backend_SRCS}
-    INSTALL_NAMESPACE "kf5/plasma_firewall")
+    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/plasma_firewall")
 
 target_link_libraries(firewalldbackend
+    kcm_firewall_core
     Qt::DBus
-    kcm_firewall_core
 )

=== debian/changelog ===
plasma-firewall (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:42 +0200

plasma-firewall (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:23:19 +0200

plasma-firewall (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:16:01 +0100

plasma-firewall (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:59:50 +0100

plasma-firewall (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:39 +0100

plasma-firewall (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.
  * Run tests under xvfb, a graphical environment is required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:54 +0100

plasma-firewall (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-firewall
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -23,10 +22,12 @@
                python3:any,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-firewall
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-firewall
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-firewall.git
 Rules-Requires-Root: no
 
 Package: plasma-firewall
@@ -42,7 +43,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-Recommends: firewalld | ufw
+Recommends: firewalld | ufw,
 Description: Plasma configuration module for firewalls
  Plasma Firewall provides a way to graphically configure a firewall service.
  .

## plasma-firewall 5.27.8

=== debian/changelog ===
plasma-firewall (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:31 +0100

plasma-firewall (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Prefer ufw to firewalld in recommends.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:25:07 +0100

plasma-firewall (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:50:14 +0200

plasma-firewall (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:46 +0100

plasma-firewall (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:20 +0100

plasma-firewall (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:19 +0100

## plasma-firewall 5.27.10

=== debian/changelog ===
plasma-firewall (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Prefer ufw to firewalld in recommends.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:06:52 -0700

plasma-firewall (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:21:03 +0100

plasma-firewall (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:30 +0000

plasma-firewall (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:51:35 +0200

plasma-firewall (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:44 +0100

plasma-firewall (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:47:22 +0200

## plasma-firewall 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #                           GENERAL CONFIGURATION
 #-----------------------------------------------------------------------------
 project(plasma-firewall)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 
 set(KF5_MIN_VERSION "5.102.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -15,26 +15,25 @@
 
 
 add_library(kcm_firewall MODULE)
+kcmutils_generate_desktop_file(kcm_firewall)
 target_sources(kcm_firewall PRIVATE
    kcm.cpp
    kcm.h
 )
 target_link_libraries(kcm_firewall
     Qt::Quick
-    Qt::X11Extras
     Qt::DBus
 
     KF5::CoreAddons
     KF5::Declarative
     KF5::I18n
     KF5::QuickAddons
-    KF5::Auth
+    KF5::AuthCore
 
     kcm_firewall_core
     networkstatus
 )
 
-install(FILES kcm_firewall.desktop DESTINATION ${KDE_INSTALL_APPDIR})
-install(TARGETS kcm_firewall DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/kcms/systemsettings)
+install(TARGETS kcm_firewall DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings)
 
 kpackage_install_package(package kcm_firewall kcms)

=== tests/ss_tests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Tomaz Canabrava <tcanabrava@kde.org>

add_executable(ss_tests
    main.cpp
)

target_link_libraries(ss_tests
    Qt::Core
    kcm_firewall_core
)

=== kcm/backends/netstat/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    Xml
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Declarative
    Auth
    Config
)


add_library(networkstatus STATIC)
set_property(TARGET networkstatus PROPERTY POSITION_INDEPENDENT_CODE ON)
target_sources(networkstatus PRIVATE
    conectionsmodel.cpp
    conectionsmodel.h
    netstatclient.cpp
    netstatclient.h
    netstathelper.cpp
    netstathelper.h
)

target_link_libraries(networkstatus
    kcm_firewall_core
    Qt::Core
    Qt::Quick
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::AuthCore
    KF5::I18n
)

=== kcm/backends/ufw/helper/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(${CMAKE_BINARY_DIR})

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
)


find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Auth
)


set(ufw_plugin_helper_SRCS helper.cpp helper.h)
add_executable(kde_ufw_plugin_helper ${ufw_plugin_helper_SRCS})

# set_target_properties(kcm_ufw_helper PROPERTIES OUTPUT_NAME kcm_ufw_helper)
target_link_libraries(kde_ufw_plugin_helper Qt::Core KF5::AuthCore KF5::I18n)

if (IS_ABSOLUTE "${KDE_INSTALL_LIBEXECDIR}")
  set(UFW_PLUGIN_HELPER_PATH ${KDE_INSTALL_LIBEXECDIR}/kde_ufw_plugin_helper.py)
else()
  set(UFW_PLUGIN_HELPER_PATH ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_LIBEXECDIR}/kde_ufw_plugin_helper.py)
endif()
configure_file(kcm_ufw_helper.py.cmake ${CMAKE_BINARY_DIR}/kde_ufw_plugin_helper.py)
configure_file(ufw_helper_config.h.cmake ${CMAKE_BINARY_DIR}/ufw_helper_config.h)

kauth_install_actions(org.kde.ufw org.kde.ufw.actions)
install(TARGETS kde_ufw_plugin_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(kde_ufw_plugin_helper org.kde.ufw root)

# install(TARGETS kcm_ufw_helper DESTINATION ${KDE_INSTALL_LIBEXECDIR})
install(PROGRAMS ${CMAKE_BINARY_DIR}/kde_ufw_plugin_helper.py DESTINATION ${KDE_INSTALL_LIBEXECDIR})

# configure_file(org.kde.ufw.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/session/org.kde.ufw.service)
# install(FILES ${CMAKE_CURRENT_BINARY_DIR}/session/org.kde.ufw.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
install(FILES defaults DESTINATION ${KDE_INSTALL_DATADIR}/kcm_ufw)

=== debian/changelog ===
plasma-firewall (5.27.11-0ubuntu3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:42 +0200

plasma-firewall (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:00:24 +0000

plasma-firewall (5.27.11-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.11)

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:23:59 +0000

plasma-firewall (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:26:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-firewall
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -26,8 +27,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-firewall
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-firewall
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-firewall.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
 Rules-Requires-Root: no
 
 Package: plasma-firewall
@@ -43,7 +44,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-Recommends: firewalld | ufw,
+Recommends: ufw | firewalld,
 Description: Plasma configuration module for firewalls
  Plasma Firewall provides a way to graphically configure a firewall service.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_python3:
	dh_python3 usr/lib/
